> ## Documentation Index
> Fetch the complete documentation index at: https://docs.heybee.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Rankings

> Get sample rankings for an experiment.



## OpenAPI

````yaml /openapi.json get /v1/experiments/{experiment_id}/rankings
openapi: 3.1.0
info:
  description: Customer-owned evaluation lifecycle API.
  title: HeyBee Public API
  version: 1.0.0
servers:
  - description: Production
    url: https://api.heybee.app
security: []
paths:
  /v1/experiments/{experiment_id}/rankings:
    get:
      tags:
        - Analytics
      summary: Get Rankings
      description: Get sample rankings for an experiment.
      operationId: get_rankings_v1_experiments__experiment_id__rankings_get
      parameters:
        - in: path
          name: experiment_id
          required: true
          schema:
            format: uuid
            title: Experiment Id
            type: string
        - in: query
          name: anchor_value
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Anchor Value
        - in: query
          name: limit
          required: false
          schema:
            default: 50
            maximum: 200
            minimum: 1
            title: Limit
            type: integer
        - in: query
          name: axis_key
          required: false
          schema:
            anyOf:
              - maxLength: 64
                minLength: 1
                type: string
              - type: 'null'
            title: Axis Key
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: X-API-Key
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Api-Key
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RankingsListResponse'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - BearerAuth: []
        - ApiKeyAuth: []
components:
  schemas:
    RankingsListResponse:
      description: List of rankings for an experiment.
      properties:
        anchor_value:
          anyOf:
            - type: string
            - type: 'null'
          description: If filtered by anchor, the anchor value
          title: Anchor Value
        axis_key:
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            Explicit criterion used for this ranking; null means
            combined/default behavior
          title: Axis Key
        computed_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Computed At
        ordering_policy:
          default: elo_fallback
          description: Ranking metric used for the returned row order
          title: Ordering Policy
          type: string
        rankings:
          items:
            $ref: '#/components/schemas/RankingResponse'
          title: Rankings
          type: array
        total:
          title: Total
          type: integer
      required:
        - rankings
        - total
      title: RankingsListResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    RankingResponse:
      description: Ranking data for a single sample.
      properties:
        anchor_value:
          anyOf:
            - type: string
            - type: 'null'
          title: Anchor Value
        bt_ci_lower:
          anyOf:
            - type: number
            - type: 'null'
          title: Bt Ci Lower
        bt_ci_upper:
          anyOf:
            - type: number
            - type: 'null'
          title: Bt Ci Upper
        bt_rank:
          anyOf:
            - type: integer
            - type: 'null'
          title: Bt Rank
        bt_strength:
          anyOf:
            - type: number
            - type: 'null'
          title: Bt Strength
        comparisons:
          title: Comparisons
          type: integer
        elo_rank:
          title: Elo Rank
          type: integer
        elo_rating:
          title: Elo Rating
          type: number
        losses:
          title: Losses
          type: integer
        parameters:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Parameters
        sample_id:
          format: uuid
          title: Sample Id
          type: string
        win_rate:
          title: Win Rate
          type: number
        wins:
          title: Wins
          type: integer
      required:
        - sample_id
        - anchor_value
        - parameters
        - elo_rating
        - elo_rank
        - wins
        - losses
        - comparisons
        - win_rate
      title: RankingResponse
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    BearerAuth:
      bearerFormat: Supabase JWT
      scheme: bearer
      type: http
    ApiKeyAuth:
      in: header
      name: X-API-Key
      type: apiKey

````